/* Project 1 example program: test.c
 * Author: John Linwood Griffin (griffin2@ece.cmu.edu)
 */

#include <stdio.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <sys/time.h>
#include <unistd.h>
#include "emulator.h"

int
main (int argc, char **argv)
{
  int fd;
  struct timeval tv;
  char buf[512];

  /* Note that I'm not bothering with error checking in this example.
   * You, of course, should!
   */
  fd = ds_open("/dev/disksim", O_RDONLY);

  ds_gettimeofday(&tv);
  printf("Simulator time before read: %ld sec %ld usec\n",
	 tv.tv_sec, tv.tv_usec);
  /* Should be 0 sec 0 msec */

  ds_lseek(fd, 200000 * SECTOR_SIZE, SEEK_SET);
  ds_read(fd, buf, 512);

  ds_gettimeofday(&tv);
  printf("Simulator time after read: %ld sec %ld usec\n",
	 tv.tv_sec, tv.tv_usec);
  /* Should be 0 sec 24205 msec */

  return 0;
}
